from selenium import webdriver
from selenium.webdriver.common.action_chains import ActionChains
from selenium.common.exceptions import NoSuchElementException
import time
import json
import logging
from selenium.webdriver.chrome.options import Options



FILE = open("log.txt", encoding="utf-8", mode="a")
LOG_FORMAT = "%(asctime)s - %(levelname)s - %(message)s"
logging.basicConfig(level=logging.INFO, stream=FILE, format=LOG_FORMAT)
username = ('xx')# 日志里的记录名字，随意更改即可

chrome_options = Options()
# chrome_options.add_argument('--no-sandbox')# 按需启用/不启用
chrome_options.add_argument('--disable-dev-shm-usage')
# chrome_options.add_argument('--headless')# 按需启用/不启用
chrome_options.add_argument('blink-settings=imagesEnabled=false')
# chrome_options.add_argument('--disable-gpu')# 按需启用/不启用
browser = webdriver.Chrome(chrome_options=chrome_options)
browser = webdriver.Chrome()
browser.get("https://bbs.zdfx.net/")

browser.delete_all_cookies

with open('cookies.txt', 'r')as f:
    cookies_list = json.load(f)
    for cookie in cookies_list:
        if 'expiry' in cookie:
            del cookie['expiry']
        browser.add_cookie(cookie)

browser.refresh()

time.sleep(3)
browser.get("https://bbs.zdfx.net/plugin.php?id=k_misign:sign")

time.sleep(3)
try:
    leftclick2 = browser.find_element_by_id("JD_sign")
    ActionChains(browser).click(leftclick2).perform()
    logging.info(username+"签到成功！")
except NoSuchElementException:
    print('已签到')
    logging.info(username+"签过到了！")
finally:
    try:
        browser.get("https://bbs.zdfx.net/plugin.php?id=yinxingfei_zzza:yinxingfei_zzza_hall")
        time.sleep(3)
        leftclick3 = browser.find_element_by_id("zzza_go")
        ActionChains(browser).click(leftclick3).perform()
        logging.info(username+"摇奖成功！")
    except NoSuchElementException:
        print('已摇奖')
        logging.info(username+"摇过奖了！")
FILE.close()
browser.quit()
